package com.mvc.dao;

import com.mvc.entity.TLend;

import java.util.List;

import com.mvc.entity.TLendExample;
import org.apache.ibatis.annotations.Param;

public interface TLendMapper {
    long countByExample(TLendExample example);

    int deleteByExample(TLendExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TLend record);

    int insertSelective(TLend record);

    List<TLend> selectByExample(TLendExample example);

    TLend selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TLend record, @Param("example") TLendExample example);

    int updateByExample(@Param("record") TLend record, @Param("example") TLendExample example);

    int updateByPrimaryKeySelective(TLend record);

    int updateByPrimaryKey(TLend record);
}